Bug 171382 - Green bar persists when starting to drag an album
Summary: Green bar persists when starting to drag an album
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Applications
Component: Playlist (show other bugs)
Version: 2.0-SVN
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-20 14:42 UTC by Bassio
Modified: 2008-10-20 12:54 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bassio 2008-09-20 14:42:00 UTC
Version:           1.90 (using 4.1.1 (KDE 4.1.1), Kubuntu packages)
Compiler:          gcc
OS:                Linux (i686) release 2.6.24-19-generic

How to reproduce:

start to drag an album (not a track but an album .. from its header)

a green bar will appear above that album

but do not move it .. make minimal mouse movement .. and leave it as is

the green bar is still there even after mouse release
Comment 1 Mark Kretschmann 2008-09-21 14:11:27 UTC
True, I can confirm this with latest SVN (even if the bar is no longer green).
Comment 2 Bassio 2008-09-22 04:42:29 UTC
Well .. I hope it's blue ;)
Comment 3 Seb Ruiz 2008-10-20 12:54:52 UTC
SVN commit 873860 by seb:

Hide the drop visualiser immediately after dropping tracks by repainting the appropriate area of the widget.
BUG: 171382


 M  +4 -0      PrettyListView.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=873860